Onboarding

Create Onboarding File Upload

Validates a step file requirement, creates file and document records, and returns a presigned upload URL.

POSThttps://api.toku.com/hris/create-onboarding-file-upload

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/create-onboarding-file-upload' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "roleInOrgId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "stepId": "string",
  "requirementKey": "string",
  "fileName": "string",
  "fileMimeType": "application/pdf",
  "fileSizeInBytes": 0,
  "documentCategory": "I9_LIST_A_DOCUMENT",
  "displayName": "string"
}'
200 response
{}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgIdstring<uuid>required
stepIdstringrequired

Allowed: at least 1 characters

requirementKeystringrequired

Allowed: at least 1 characters

fileNamestringrequired

Allowed: 1 to 255 characters

fileMimeTypestringrequired

Available options: application/pdf, image/png, image/jpeg, image/jpg

fileSizeInBytesintegerrequired

Allowed: at least 1

documentCategorystringrequired

Available options: I9_LIST_A_DOCUMENT, I9_LIST_B_DOCUMENT, I9_LIST_C_DOCUMENT, W4_FEDERAL_TAX_FORM, STATE_TAX_FORM, EMPLOYMENT_AGREEMENT, HANDBOOK_ACKNOWLEDGMENT, VISA_DOCUMENT, ID_DOCUMENT, OTHER_ONBOARDING_DOCUMENT, COMPANY_DOCUMENTATION, PERSONAL_DOCUMENT, TAX_DOCUMENT, BENEFITS_DOCUMENT, PAYROLL_DOCUMENT, RESIGNATION_LETTER, PERFORMANCE_IMPROVEMENT_PLAN, TERMINATION_SUPPORTING_DOCUMENT

displayNamestring

Response

200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits